## mummer 3.20

=== Makefile ===
--- 
+++ 
@@ -23,7 +23,7 @@
 #
 #-------------------------------------------------------------------------------
 SHELL = /bin/sh
-VERSION := 3.19
+VERSION := 3.20
 
 
 TOP_DIR     := $(CURDIR)
