=== src/tigr/Makefile ===
--- 
+++ 
@@ -17,7 +17,8 @@
 
 ALL := annotate combineMUMs delta-filter gaps mgaps \
      postnuc postpro prenuc prepro repeat-match \
-     show-aligns show-coords show-tiling show-snps
+     show-aligns show-coords show-tiling show-snps \
+     show-diff
 
 
 #-- PHONY rules --#
@@ -91,3 +92,5 @@
 show-snps: show-snps.cc tigrinc.o translate.o delta.o
 	$(BIN_RULE)
 
+show-diff: show-diff.cc tigrinc.o delta.o
+	$(BIN_RULE)
