## mummer 3.22~dfsg

=== Makefile ===
--- 
+++ 
@@ -23,7 +23,7 @@
 #
 #-------------------------------------------------------------------------------
 SHELL = /bin/sh
-VERSION := 3.20
+VERSION := 3.22
 
 
 TOP_DIR     := $(CURDIR)
@@ -42,7 +42,8 @@
 PERL := $(filter /%,$(shell /bin/sh -c 'type perl'))
 AR   := $(filter /%,$(shell /bin/sh -c 'type ar'))
 
-CPPFLAGS = -Wall -O3
+CXXFLAGS = -O3
+CFLAGS = -O3
 LDFLAGS  =
 
 FLATS = ACKNOWLEDGEMENTS COPYRIGHT INSTALL LICENSE Makefile README ChangeLog
@@ -50,7 +51,7 @@
 
 
 #-- EXPORT THESE VARIABLES TO OTHER MAKEFILES
-export BIN_DIR AUX_BIN_DIR CXX CC CPPFLAGS LDFLAGS
+export BIN_DIR AUX_BIN_DIR CXX CC CFLAGS CXXFLAGS LDFLAGS
