## mummer 3.23~dfsg

=== Makefile ===
--- 
+++ 
@@ -23,7 +23,7 @@
 #
 #-------------------------------------------------------------------------------
 SHELL = /bin/sh
-VERSION := 3.22
+VERSION := 3.23
 
 
 TOP_DIR     := $(CURDIR)
