=== src/kurtz/mm3src/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #-- Imported variables from top level makefile
-# BIN_DIR AUX_BIN_DIR CXX CC CPPFLAGS LDFLAGS
+# BIN_DIR AUX_BIN_DIR CXX CC CFLAGS CXXFLAGS LDFLAGS
 
 ##include ../Makedef
 
@@ -15,7 +15,7 @@
 LIBSTREEDIR=../streesrc
 INCLUDEDIR=-I${LIBBASEDIR} -I${LIBSTREEDIR}
 
-CFLAGS=$(INCLUDEDIR)
+override CFLAGS+=$(INCLUDEDIR)
 ##CFLAGS=${DEFINECFLAGS} $(INCLUDEDIR)
 ##LDFLAGS=${DEFINELDFLAGS}
 SPLINTFLAGS=${INCLUDEDIR} -f ../Splintoptions -DDEBUG
