=== debian/changelog ===
mummer (3.23~dfsg-2) unstable; urgency=low

  * debian/enable_building_with_tetex.patch: enable building with recent
    tetex by changing the layout slightly (s/a4wide/a4/)
    Closes: #669521
  * debian/control: Standards-Version: 3.9.3 (no changes needed)
  * Debhelper 9 (control+compat)

 -- Andreas Tille <tille@debian.org>  Sat, 21 Apr 2012 22:43:17 +0200

mummer (3.23~dfsg-1) unstable; urgency=low

  * New upstream release adding -D and --banded option to nucmer.
  * Updated debian/patches/02at_docs_web.diff.
  * Corrected VCS URLs (debian/control).
  * Conforms to Policy 3.9.2 (debian/control, no other changes needed).
  * Using Debhelper 8 (debian/control, debian/compat).
  * Support DEB_BUILD_OPTIONS via Debhelper (debian/rules).
  * Use dpkg source format 3.0 (quilt) as a patch system (debian/rules,
    debian/control, debian/source/format).
  * Simplify debian/rules using dh.
  * Pass Dpkg build flags in CFLAGS (debian/rules).

 -- Charles Plessy <plessy@debian.org>  Tue, 07 Feb 2012 15:01:26 +0900

mummer (3.22~dfsg-2) unstable; urgency=low

  [ Andreas Tille ]
  * Make sure scripts will use the installation path instead of
    the temporary build path
    Closes: #575105
  * Make real use of debian/sh-replacement-scripts and drop csh
    (build-)dependency
  * incremented Standards-Version to reflect concordance with Debian Policy
    3.8.4 (no changes needed).
  * install tandem-repeat.awk which was lacking from installation
    previousely

  [ Charles Plessy ]
  * Updated upstream-metadata.yaml to use simple key=value form
    instead of BibTeX entry

 -- Andreas Tille <tille@debian.org>  Wed, 24 Mar 2010 17:10:43 +0000

mummer (3.22~dfsg-1) unstable; urgency=low

  * New upstream release:
    3.22
      - Significant 'dnadiff' bug fixes.
      - Unaligned contig output format switched to match show-diff format.
      - Dynamic memory allocation for run-mummer1.
      - Turned off output of the near useless .cluster files from nucmer and
        promer (let us know if you still want them).
    3.21
      - gcc compatibility fix.
  * debian/get-orig-source: rename mutilated upstream tarball.
  * debian/control:
    - incremented Standards-Version to reflect concordance with Debian Policy
      3.8.3 (no changes needed).
    - mummer-docs depends on ${misc:Depends}.
    - dropped versionned dependencies when they are even satisfied in oldstable.
    - dropped dependency on CDBS and patchutils, and added dependency on quilt.
    - using Debhelper 7 (debian/compat).
    - build-depend on csh for correct interpreter path detection.
  * debian/patches:
    - replaces some Makefile patches by environment variables in debian/rules.
    - replaced 02at_scripts.diff by separate files in sh-replacement-scripts.
    - added a series file to use Quilt.
    - dropped the patch ‘01sm_src_tigr.diff’ that allowed to use MUMmer on
      computers with less that 512 Mo of memory and is now obsoleted by
      this release.
    - refreshed the 02at_docs_web.diff patch that redirects the links for the
      suppressed PDF files to the upstream website.
  * debian/rules converted to debhelper (the build system is too odd to be
    handled gently by CDBS without patches).
  * Mangled ‘~dfsg’ from the Debian version number in debian/watch.
  * Converted debian/copyright to a machine-readable format.
  * Documented the PDF deletion and the patching in ‘debian/README.source’.
  * Turned the get-orig-source shell script into a debian/rule target.
  * Added an experimental collection of upstream metadata in YAML format
    (debian/upstream-metadata.yaml).

 -- Charles Plessy <plessy@debian.org>  Mon, 12 Oct 2009 18:12:18 +0900

mummer (3.20-3) unstable; urgency=low

  * Changed the doc-base section according to the new policy.
  * Added myself to the `Uploaders' field in `debian/control'.
  * Removed `debian/mummer.dirs', that was only creating empty directories.

 -- Charles Plessy <plessy@debian.org>  Mon, 07 Jul 2008 10:33:20 +0900

mummer (3.20-2) unstable; urgency=low

  [ Charles Plessy ]
  * XS-DM-Upload-Allowed: Yes

  [ Steffen Moeller ]
  * Changed e-mail address in uploaders
  * Stripped long description of mummer-doc

  [ Andreas Tille ]
  * Do not install mummer.desktop because it is a command line
    application (Fixed debian/mummer.desktop anyway)
  * Standards-Version: 3.7.3 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Thu, 10 Jan 2008 12:13:24 +0100

mummer (3.20-1) unstable; urgency=low

  * New upstream version
  * Fixed watch file (Thanks to Nelson A. de Oliveira <naoliv@gmail.com>)
    Closes: #450211
  * Do not autogenerate debian/control
  * debian/rules: get-orig-source target that removes non-free docs
  * debian/rules: Fixed building docs
  * Separated patches tigr and kurtz; better Makefile for scripts
  * Added manpage link for dnadiff and mentioned dnadiff in debian/mummer.1
  * Used "Office" as main Freedesktop.Org category (not sure whether this
    is a really good choice)

 -- Andreas Tille <tille@debian.org>  Wed, 07 Nov 2007 13:25:34 +0100

mummer (3.19-1) unstable; urgency=low

  * Initial Release (Closes: Bug#201761).
    Thanks to Steffen Moeller <moeller@inb.uni-luebeck.de> who
    prepared a package for version 3.17 and just some
    cleanups were left.
  * New Standards-Version (no changes needed)
  * Switched to cdbs to simplify handling of patches
  * debian/compat: 5

 -- Andreas Tille <tille@debian.org>  Mon, 07 May 2007 14:11:09 +0200
