## mummer 3.23%2Bdfsg

=== src/kurtz/streesrc/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #-- Imported variables from top level makefile
-# BIN_DIR AUX_BIN_DIR CXX CC CPPFLAGS LDFLAGS
+# BIN_DIR AUX_BIN_DIR CXX CC CFLAGS CXXFLAGS LDFLAGS
 
 ##include ../Makedef
 
@@ -16,7 +16,7 @@
 #SIZEFLAG=-DSTREELARGE
 SIZEFLAG=-DSTREEHUGE
 
-CFLAGS=-I$(INCLUDEDIR) $(SIZEFLAG)
+override CFLAGS+=-I$(INCLUDEDIR) $(SIZEFLAG)
 ##CFLAGS=${DEFINECFLAGS} -I$(INCLUDEDIR) $(SIZEFLAG)
 ##LDFLAGS=${DEFINELDFLAGS}
 SPLINTFLAGS=${SIZEFLAG} -I${INCLUDEDIR} -f ../Splintoptions -DDEBUG
