## mummer 3.23+dfsg

=== docs/Makefile ===
LATEX=pdflatex

maxmat3man.dvi:maxmat3man.tex
	${LATEX} maxmat3man
	${LATEX} maxmat3man

clean:
	rm -f *.dvi *.aux *.log *.out *~ maxmat3man.pdf
