=== src/kurtz/libbasedir/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #-- Imported variables from top level makefile
-# BIN_DIR AUX_BIN_DIR CXX CC CPPFLAGS LDFLAGS
+# BIN_DIR AUX_BIN_DIR CXX CC CFLAGS CXXFLAGS LDFLAGS
 
 ##include ../Makedef
