=== debian/changelog ===
mummer (3.23+dfsg-7) unstable; urgency=medium

  * Team Upload.
  * Ignore build date in docs
    (Makes build reproducible)
  * Propagate CPPFLAGS to enable hardening
    (fixes blhc)
  * Update d/u/metadata
  * Declare compliance with policy 4.5.1

 -- Nilesh Patra <npatra974@gmail.com>  Sat, 26 Dec 2020 21:30:06 +0530

mummer (3.23+dfsg-6) unstable; urgency=medium

  [ Étienne Mollier ]
  * Team upload.
  * Removed dependency to C-Shell.

  [ Andreas Tille ]
  * Remove csh from docs
  * debhelper-compat (= 13)

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Thu, 23 Jul 2020 20:31:54 +0200

mummer (3.23+dfsg-5) unstable; urgency=medium

  [ Charles Plessy ]
  * Fix Perl compatibility error in mummerplot
    Closes: #956746

  [ Andreas Tille ]
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Build-Depends: csh to enable build-time tests
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 15 Apr 2020 08:37:33 +0200

mummer (3.23+dfsg-4) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make. (Closes: #901261)

  [ Andreas Tille ]
  * Standards-Version: 4.1.4
  * Point Vcs-fields to Salsa
  * debhelper 11
  * doc-base: debhelper 11 moves docs to /usr/share/doc/mummer - adapt path

 -- Andreas Tille <tille@debian.org>  Mon, 11 Jun 2018 08:38:49 +0200

mummer (3.23+dfsg-3) unstable; urgency=low

  * Team upload

  [ Fabian Klötzl ]
  * improve performance of delta2maf

  [ Steffen Moeller ]
  * Corrected EDAM annotation file

  [ Afif Elghraoui ]
  * d/watch: point to new upstream repository at GitHub

  [ Andreas Tille ]
  * Update d/copyright

 -- Afif Elghraoui <afif@debian.org>  Sun, 11 Feb 2018 18:02:05 -0500

mummer (3.23+dfsg-2) unstable; urgency=medium

  * Deactivate broken patch from mugsy that was taken over in last Debian
    release
    Closes: #843621
  * debhelper 10
  * d/watch: version=4

 -- Andreas Tille <tille@debian.org>  Thu, 17 Nov 2016 21:32:47 +0100

mummer (3.23+dfsg-1) unstable; urgency=medium

  * Team upload

  [ Andreas Tille ]
  * Moved packaging from SVN to Git
  * d/copyright: use Files-Excluded to clean up upstream source
  * cme fix dpkg-control
  * fix more spelling issues
  * hardening=+all

  [ Canberk Koç ]
  * Autopkgtest added

 -- Canberk Koç <canberkkoc@gmail.com>  Sun, 24 Jul 2016 01:53:16 +0300

mummer (3.23~dfsg-3) unstable; urgency=medium

  * Moved debian/upstream to debian/upstream/metadata
  * Add some patches from mugsy enhancing functionality by adding two tools
  * Add some patches from mugsy to include delta-filter -b for reporting
    duplications
  * cme fix dpkg-control
  * Remove SF privacy breach script from docs
  * Fix manpage syntax and add missing manpage
  * Propagate hardening options

 -- Andreas Tille <tille@debian.org>  Mon, 13 Apr 2015 22:29:27 +0200
