=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/[+~]dfsg//g,repack,compression=xz,uversionmangle=s/alpha/~alpha/; s/beta/~beta/" \
 https://github.com/mummer4/mummer/tags \
 (?:.*?/)?v?(\d[\d.]*(?:alpha|beta)\d*)\.tar\.gz
